aboutsummaryrefslogtreecommitdiffstats
path: root/main/alsa-lib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-12-24 17:32:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-12-24 17:32:59 +0000
commitbb44a7e1772e27ab75210fe7f474423a5b6e24c4 (patch)
tree8e3e10c3f3e147b481782a898a6bbcdff7244885 /main/alsa-lib/APKBUILD
parentce9c551ded7784c6967df896afedb68946974451 (diff)
downloadaports-bb44a7e1772e27ab75210fe7f474423a5b6e24c4.tar.gz
aports-bb44a7e1772e27ab75210fe7f474423a5b6e24c4.tar.bz2
aports-bb44a7e1772e27ab75210fe7f474423a5b6e24c4.tar.xz
main/alsa-lib: tweak config options
Diffstat (limited to 'main/alsa-lib/APKBUILD')
-rw-r--r--main/alsa-lib/APKBUILD23
1 files changed, 16 insertions, 7 deletions
diff --git a/main/alsa-lib/APKBUILD b/main/alsa-lib/APKBUILD
index 606cf4530e..6eeca34929 100644
--- a/main/alsa-lib/APKBUILD
+++ b/main/alsa-lib/APKBUILD
@@ -1,22 +1,31 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alsa-lib
pkgver=1.0.21a
-pkgrel=0
+pkgrel=1
pkgdesc="An alternative implementation of Linux sound support"
url="http://www.alsa-project.org"
license="GPL"
depends=
subpackages="$pkgname-dev"
-source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2
- nocxx.patch"
+source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2"
build ()
{
cd "$srcdir/$pkgname-$pkgver"
- patch configure < ../nocxx.patch || return 1
- ./configure --prefix=/usr --disable-python
+ ./configure --prefix=/usr \
+ --disable-python \
+ --disable-static \
+ --disable-resmgr \
+ --enable-rawmidi \
+ --enable-seq \
+ --enable-aload \
+ --disable-dependency-tracking \
+ || return 1
make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
make -j1 DESTDIR="$pkgdir" install
}
-md5sums="914685deb8c23cb4b940a4173cf8efe4 alsa-lib-1.0.21a.tar.bz2
-28513788ba4d556ccd538867dc6205ab nocxx.patch"
+md5sums="914685deb8c23cb4b940a4173cf8efe4 alsa-lib-1.0.21a.tar.bz2"